Permalink
Switch branches/tags
Nothing to show
Commits on May 13, 2015
  1. Update yaml call in 'schema up to date.push'.

    benhoskings committed May 13, 2015
    This was using the deprecated Fancypath#yaml.
  2. Remove long-deprecated 'task' template.

    benhoskings committed May 13, 2015
    This has long since been replaced by 'common:task'.
Commits on Jan 13, 2015
  1. Fix ruby download link.

    benhoskings committed Jan 13, 2015
    The ftp one suddenly stopped working; ruby-lang.org links
    to this http one now.
Commits on Jan 3, 2015
Commits on Nov 6, 2014
  1. This was a stupid idea. Revert "This isn't actually erb."

    benhoskings committed Nov 6, 2014
    Making it an .rb file makes babushka load it, reopen stdout and
    stderr into a logfile, silencing itself on the terminal, and then
    running a backup (which raises because it can't sudo as postgres).
    
    This reverts commit 37f4373.
  2. This isn't actually erb.

    benhoskings committed Nov 6, 2014
Commits on Oct 15, 2014
  1. Include past SSL fixes from other projects.

    benhoskings committed Oct 15, 2014
    - Exclude broken ciphers and prefer the server cipher order
    - Exclude broken SSLv3
    - Use SSL cache
  2. Use SHA256 when creating SSL certificates.

    benhoskings committed Oct 15, 2014
    SHA1 has been deprecated for this job.
Commits on Aug 18, 2014
Commits on Jul 25, 2014
  1. Fix a confusing comment.

    benhoskings committed Jul 25, 2014
Commits on Jun 8, 2014
  1. Fix ruby extension checking command.

    benhoskings committed Jun 8, 2014
    We have to manually require the extension build dir, because they're
    not yet installed in the correct layout for ruby to find them itself.
  2. Handle versions with and without patchlevel in 'ruby.src'.

    benhoskings committed Jun 8, 2014
    Rubies since 2.1 don't include the patchlevel in their version name.
  3. Check extensions were included instead of adding them with extconf.rb.

    benhoskings committed Jun 8, 2014
    Using extconf requires an existing ruby & mkmf of a particular
    version (e.g. 1.8/1.9 mkmf can't configure a 2.1 build). Instead,
    just make sure the extensions we want were included on their own.
Commits on Nov 26, 2013
Commits on Nov 15, 2013
Commits on Oct 10, 2013
  1. Also configure openssl and zlib explicitly in ruby.src.

    benhoskings committed Oct 10, 2013
    I don't think this is strictly necessary, but it's nice to be explicit about it.
Commits on Aug 28, 2013
  1. Add nodejs.src.

    benhoskings committed Aug 28, 2013
Commits on Jul 23, 2013
Commits on Jun 21, 2013
Commits on Jun 16, 2013